package com.revfad.search.tests;

import junit.framework.*;

/**
 * I run all of the tests associated with SearchToHTML. If you have JUnit
 * in your classpath, you may run me as follows:
 * java com.revfad.search.tests.AllTests
 *
 * @author David Faden, dfaden@gmail.com
 * @version June 30, 2004
 */
public class AllTests extends TestCase {

public static Test suite() {
    TestSuite suite = new TestSuite();
    
    suite.addTest(SearchSieveTest.suite());
    suite.addTest(DocumentTest.suite());
    suite.addTest(SearchThreadTest.suite());
    suite.addTest(SearchToHTMLTest.suite());
    
    return suite;
}

public static void main(String[] args) {
    junit.swingui.TestRunner.run(AllTests.class);
}

}